import { Partner, PartnerData, SystemLog } from "./interface.readonly";
import { Client as ClientInterface, ClientOptions } from "./client.interface";
export * from "./client.interface";
export declare class Client implements ClientInterface {
    readonly baseUrl: string | URL;
    readonly headers: Headers;
    readonly partnerId: string | undefined;
    readonly version: number;
    readonly prefix: string;
    constructor({ url, accessToken, partnerId, version, prefix }?: ClientOptions);
    addPartner(partner: PartnerData): Promise<Partner>;
    listPartners(): Promise<Partner[]>;
    listSystemLogs(): Promise<SystemLog[]>;
    background(query?: Record<string, string> | URLSearchParams): Promise<void>;
    fetch(givenUrl: URL | string, options?: RequestInit): Promise<Response>;
}
